package com.lightinit.hsdataportal.service;

import com.lightinit.hsdataportal.entity.BaseExample;
import com.lightinit.hsdataportal.model.*;

import java.util.List;

public interface IResourceFollowService {
    List<MyAPIOpenFollowListModel> queryOpenList(String dicPlatformType, Long followId,BaseExample.Page pager);

    long queryOpenCount(String dicPlatformType, Long followId);

    ResultState<Long> noFollow(Long id);

    List<MyAPIApplyListModel> applyList(Long followId, String open,BaseExample.Page pager);

    long applyCount(Long followId, String open);

    ResultState<Long> apply(APIApplyModel apiApplyModel, Long followId, String open);

    MyAPIFeedbackModel feedback(Long id);
}
